Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_plots.sh
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_plots.sh	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_plots.sh	(revision 2200)
@@ -0,0 +1,198 @@
+#!/bin/sh 
+#
+# AUTHOR - date
+# ===========
+# Françoise Pinsard - 01/2010 - LOCEAN
+# Simona Flavoni  - 01/2010 - LOCEAN
+#
+# DESCRIPTION
+# ===========
+# Graphics outputs files are written in ./exp1_exp2/ps/.
+#
+# A global document with all plots in Postscript, PDF or HTML file can be produced.
+# 
+# EXAMPLES
+# ========
+# $ ./std_plots.sh -exp1 v32colib -exp2 v32colib -y 19800101_19801231 -format html
+# 
+# $ ./std_plots.sh -exp1 core100 -exp2 core100 -y 00910101_01001231 -format pdf
+#
+# PROBLEMS
+# ========
+# no batch processing possible because of SAXO interactiviy Seb is working on it ...
+#
+# TODO
+# ====
+# portability on linux
+# define overriding policy
+# finalize ps and pdf production 
+#
+usage=" Usage : ${command} -exp1 exp1 -exp2 exp2 -y start -format html
+ example:  ./std_plots.sh -exp1 core2000 -exp2 core2000 -y 1991 -format pdf 
+ exp1 is your experience name
+ exp2 is the reference experience (if you don't have one exp2 = exp1)
+ ystart is the first year of your 10years file output; example: 361 if you want to take file core2000_03610101_03701231_1Y_grid_T.nc"
+#
+minargcount=8
+if [ ${#} -lt ${minargcount} ]; then
+ echo "Not enought arguments"
+ echo "${usage}"
+ exit 1
+fi
+#
+while [ ! -z "${1}" ] # ++ pb bash
+do
+ case ${1} in
+     -exp1)	 exp1=${2}        shift  ;;
+     -exp2)	 exp2=${2}        shift  ;;
+     -y)	 ystart=${2}	  shift	 ;;
+     -format)	 format=${2}	  shift	 ;;
+     -h)	
+	 echo "${usage}"
+	 exit 0	
+	 ;;
+     *) # other choice
+	 echo "${usage}"
+	 exit 1
+	 ;;
+ esac
+ shift # next flag
+done
+#
+# ++ check parameters
+set -u
+#
+# define output directory for POSTCRIPT files
+#++ change directory
+#===============CHANGE DIRECTORIES==========================
+psdir=~/PS/${exp1}_${exp2}/ps/
+pdfdir=~/PDF/${exp1}_${exp2}/pdf
+htmldir=~/HTML/${exp1}_${exp2}/pdf
+#===============END CHANGE DIRECTORIES=======================
+# test if ${psdir} already exists
+if [ -d ${psdir} ]; then
+ echo "${psdir} already exist"
+ #+++exit 1
+else
+ mkdir -p ${psdir}
+fi 
+# test if ${pdfdir} already exists
+if [ -d ${pdfdir} ]; then
+ echo "${psdir} already exist"
+ #+++exit 1
+else
+ mkdir -p ${pdfdir}
+fi 
+
+# memorize current IDL_STARTUP file
+memo_idl_startup=${IDL_STARTUP}
+
+# generation of IDL commands file to launch several std_plots commands
+# NOTE:  $(( 10#${ystart} )) is used to have decimal, if not the number that start with 0 (for example if you put 0361) would be interpeted like alphanumerical number 
+rm /tmp/std_plots_multi.pro 2> /dev/null
+cat << EOF >> /tmp/std_plots_multi.pro
+ psdir='${psdir}'
+ std_plots,'${exp1}','${exp2}', $(( 10#${ystart} )), /postscript
+ exit
+EOF
+#
+idl_command='/Applications/itt/idl64/bin/idl'  # !! only on my mac
+#
+# check if IDL available
+type ${idl_command}
+status_type=${?}
+if [ ${status_type} -ne 0 ]
+then
+ echo "eee : idl not found"
+ exit 1
+fi
+# debug
+more /tmp/std_plots_multi.pro
+#
+# launch IDL
+${idl_command} /tmp/std_plots_multi.pro
+status_idl=${?}
+# test if idl returns ok
+#echo "iii : ${status_idl}"
+#
+# restore IDL_STARTUP file
+IDL_STARTUP=${memo_idl_startup}
+export IDL_STARTUP
+
+# produce the final document
+case ${format} in
+    pdf)
+	rm ${pdfdir}/all_plots.pdf 2> /dev/null
+	for file in ${psdir}/*.ps ; do
+	    echo "ps2pdf"
+#           echo "nome file: ${file}"
+		ps2pdf -sPAPERSIZE=a4 ${file}
+	done
+#	echo "dentro pdf"
+	ls ${pdfdir}
+	mv *.pdf ${pdfdir}/.
+	texexec --pdfarrange --result=/tmp/all_plots.pdf ${pdfdir}/*.pdf
+	rm -rf *.aux *.log /tmp/*.log
+	mv /tmp/all_plots.pdf ${pdfdir}
+#commented because convert gives images of bad quality
+#	convert ${psdir}/*.ps /tmp/all_plots.pdf
+#       convert -resize 800x600 ${psdir}/${exp1}_${exp2}/ps/*.ps /tmp/all_plots.pdf
+	;;
+    html)
+	rm /tmp/std_plots.html 2> /dev/null
+# check if convert available
+	convert_command='/sw/bin/convert'  # !! only on my mac
+	type ${convert_command}
+	status_type=${?}
+	if [ ${status_type} -ne 0 ]
+	then
+	    echo "eee : convert not found"
+	    exit 1
+	fi
+# debug
+	
+	for file in `ls ${psdir}/*.ps | sed -e "s/\.ps//"` ; do
+	    ${convert_command} -antialias  ${file}.ps  ${file}.png
+	done
+	 # creation of a HTML file
+	cat << EOF > /tmp/std_plots.html
+	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+	<html xmlns="http://www.w3.org/1999/xhtml">
+	<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+        <hr>
+       	</head>
+	<body>
+EOF
+	cat /tmp/std_plots.txt >>  /tmp/std_plots.html
+	cat << EOF >> /tmp/std_plots.html
+<hr/>
+EOF
+	
+	cat << EOF >> /tmp/std_plots.html
+
+  </body>
+  </html>
+EOF
+	more /tmp/std_plots.html
+	;;
+    *)	
+	echo " format ${format} not implemented"
+	exit 1
+	;;
+esac
+
+    #
+#=====================
+# prepare to put images on dods
+# +++ to finish it
+#LOGIN=xxxx
+#Tag_Name=ORCA2_LIM2
+#rsh ${LOGIN}@gaya.idris.fr exec /bin/ksh <<EOF
+#       cd ${homegaya}/IGCM_OUT/${Tag_Name}/CORE2/INTERAN/plots_pdf/${exp1}
+#       /usr/local/bin/dods_rm DODS/pub/${LOGIN}/${Tag_Name}/CORE2/INTERAN/plots_pdf/${exp1} > /dev/null 2>&1
+#       /usr/local/bin/dods_cp ${exp1} DODS/pub/${LOGIN}/${Tag_Name}/CORE2/INTERAN/plots_pdf/${exp1} > /dev/null 2>&1
+#EOF
+#=====================
+# end
+exit 0
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_ts.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_ts.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_ts.pro	(revision 2200)
@@ -0,0 +1,99 @@
+pro std_ts, std_EXP1, std_EXP2, year1, year2, _extra=ex
+
+
+PRINT, 'usage: postscript '
+PRINT, '========================================================================'
+PRINT, 'std_ts, ''std_EXP1'', ''std_EXP2'', ''year_start'', ''year_end'', /postscript'
+PRINT, '========================================================================'
+PRINT, 'std_ts, ''core2000'', ''core2000'', ''1'', ''2000'', /postscript'
+PRINT, '========================================================================'
+
+
+  compile_opt idl2, strictarrsubs
+
+  PRINT, ''
+  PRINT, ' 	############################################'
+  PRINT, ''
+  PRINT, '                   plot of all TIME SERIES'
+  PRINT, ''
+  PRINT, ' 	############################################'
+  PRINT, ''
+
+
+@common
+@initorca2
+@std_com
+
+
+;  std_iodir_data    = '/Users/sflod/idl_PLOTS/DATA_STORE/RUN_INTERAN/mercure/' ; path of data in NetCdf format
+  std_iodir_data    = '/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/brodie/' ; path of data in NetCdf format
+
+
+;#########################################################################
+;######################  TIME SERIES   ################################
+;#########################################################################
+
+; fixed color tabled
+  lct,64
+
+ 
+
+  ;; Temperature Mean
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 			 Temperature Mean'
+  PRINT, '1 '
+  ts_mean_T, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+  ;; Salinity Mean
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 			 Salinity Mean'
+  PRINT, '2 '
+  ts_mean_S, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+  
+  ;; Sea Surface Height
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 			 SSH'
+  PRINT, '3 '
+  ts_mean_SSH, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+   ;; Heat flux Mean
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 			 Heat Mean'
+  PRINT, '4 '
+  ts_mean_Q, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+  ;; EMP Mean
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 			 EMP Mean'
+  PRINT, '5 '
+  ts_mean_EMP, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+
+  ;; Drake transport
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 		         Drake Transport'
+  PRINT, '6 '
+  ts_mean_U, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+  ;; Max AMOC
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 		         Max AMOC'
+  PRINT, '7 '
+  ts_mean_V, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+  ;; Sea-Ice Area 
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 		         Sea-Ice Area'
+  PRINT, '8 '
+  ts_mean_ICE, std_EXP1, std_EXP2, year1, year2, std_iodir_data, _extra = ex
+
+  return
+END
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/time_series.sh
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/time_series.sh	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/time_series.sh	(revision 2200)
@@ -0,0 +1,183 @@
+#!/bin/sh 
+#
+# AUTHOR - date
+# ===========
+# Simona Flavoni  - 02/2010 - LOCEAN
+#
+# DESCRIPTION
+# ===========
+# Graphics outputs files are written in my_IDL/PS/ps_ts/.
+#
+# A global document with all plots in Postscript, PDF or HTML file can be produced.
+# 
+# EXAMPLES
+# ========
+# $ ./time_series.sh -exp1 sEXP1 -exp2 sEXP2 -ystart year1 -yend year2 -format pdf
+# 
+# PROBLEMS
+# ========
+# no batch processing possible because of SAXO interactiviy Seb is working on it ...
+#
+# TODO
+# ====
+# portability on linux
+# define overriding policy
+# finalize ps and pdf production 
+#
+usage=" Usage : ${command} -exp1 exp1 -exp2 exp2 -ystart start -yend end -format pdf
+ exp1 is your experience name
+ exp2 is name of experience of reference 
+ ystart is the first year from which you want to compute Time Series 
+ yend is the last year for which you want to compute Time Series 
+ example:  ./time_series.sh -exp1 core2000 -exp2 core2000 -ystart 1 -yend 2000 -format pdf "
+#
+minargcount=10
+if [ ${#} -lt ${minargcount} ]; then
+ echo "Not enought arguments"
+ echo "${usage}"
+ exit 1
+fi
+#
+while [ ! -z "${1}" ] # ++ pb bash
+do
+ case ${1} in
+     -exp1)	 exp1=${2}        shift  ;;
+     -exp2)	 exp2=${2}        shift  ;;
+     -ystart)	 start=${2}	  shift	 ;;
+     -yend)	 end=${2}	  shift	 ;;
+     -format)	 format=${2}	  shift	 ;;
+     -h)	
+	 echo "${usage}"
+	 exit 0	
+	 ;;
+     *) # other choice
+	 echo "${usage}"
+	 exit 1
+	 ;;
+ esac
+ shift # next flag
+done
+#
+# ++ check parameters
+set -u
+#
+# define output directory for POSTCRIPT files
+#++ change directory
+#================CHANGE DIRECTORIES=====================
+psdir=/path_output_PS_time_series
+pdfdir=/path_output_PDF_time_series
+htmldir=/path_output_HTML_time_series
+#================END CHANGE DIRECTORIES=================
+# test if ${psdir} already exists
+if [ -d ${psdir} ]; then
+ echo "${psdir} already exist"
+ #+++exit 1
+else
+ mkdir -p ${psdir}
+fi 
+# test if ${pdfdir} already exists
+if [ -d ${pdfdir} ]; then
+ echo "${psdir} already exist"
+ #+++exit 1
+else
+ mkdir -p ${pdfdir}
+fi 
+
+# memorize current IDL_STARTUP file
+memo_idl_startup=${IDL_STARTUP}
+
+# generation of IDL commands file to launch several std_plots commands
+rm /tmp/time_series_multi.pro 2> /dev/null
+cat << EOF >> /tmp/time_series_multi.pro
+ psdir='${psdir}'
+ std_ts,'${exp1}','${exp2}',${start},${end},/postscript
+ exit
+EOF
+#
+idl_command='/Applications/itt/idl64/bin/idl'  # !! only on my mac
+#
+# check if IDL available
+type ${idl_command}
+status_type=${?}
+if [ ${status_type} -ne 0 ]
+then
+ echo "eee : idl not found"
+ exit 1
+fi
+# debug
+more /tmp/time_series_multi.pro
+#
+# launch IDL
+${idl_command} /tmp/time_series_multi.pro
+status_idl=${?}
+# test if idl returns ok
+# echo "iii : ${status_idl}"
+#
+# restore IDL_STARTUP file
+IDL_STARTUP=${memo_idl_startup}
+export IDL_STARTUP
+
+# produce the final document
+case ${format} in
+    pdf)
+	rm ${pdfdir}/all_ts.pdf 2> /dev/null
+	echo "psdir: ${psdir}"
+	for file in ${psdir}/*.ps ; do
+	    echo "ps2pdf"
+		ps2pdf -sPAPERSIZE=a4 ${file}
+	done
+	ls ${pdfdir}
+	mv *.pdf ${pdfdir}/.
+	texexec --pdfarrange --result=/tmp/all_ts.pdf ${pdfdir}/*.pdf
+	rm -rf *.aux *.log /tmp/*.log
+	mv /tmp/all_ts.pdf ${pdfdir}/all_ts.pdf
+#commented because convert gives images of bad quality
+#	convert ${psdir}/*.ps /tmp/all_ts.pdf
+#       convert -resize 800x600 ${psdir}/${exp1}_${exp2}/ps/*.ps /tmp/all_ts.pdf
+	;;
+    html)
+	rm /tmp/time_series.html 2> /dev/null
+# check if convert available
+	convert_command='/sw/bin/convert'  # !! only on my mac
+	type ${convert_command}
+	status_type=${?}
+	if [ ${status_type} -ne 0 ]
+	then
+	    echo "eee : convert not found"
+	    exit 1
+	fi
+# debug
+	
+	for file in `ls ${psdir}/*.ps | sed -e "s/\.ps//"` ; do
+	    ${convert_command} -antialias  ${file}.ps  ${file}.png
+	done
+	 # creation of a HTML file
+	cat << EOF > /tmp/time_series.html
+	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+	<html xmlns="http://www.w3.org/1999/xhtml">
+	<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+        <hr>
+       	</head>
+	<body>
+EOF
+	cat /tmp/time_series.txt >>  /tmp/time_series.html
+	cat << EOF >> /tmp/time_series.html
+<hr/>
+EOF
+	
+	cat << EOF >> /tmp/time_series.html
+
+  </body>
+  </html>
+EOF
+	more /tmp/time_series.html
+	;;
+    *)	
+	echo " format ${format} not implemented"
+	exit 1
+	;;
+esac
+
+    #
+exit 0
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_EMP.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_EMP.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_EMP.pro	(revision 2200)
@@ -0,0 +1,66 @@
+pro ts_mean_EMP, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+
+ @initorca2
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, sEXP1+'_EMP_mean.ps', portrait = 1
+ endif
+
+ ts_EMP = 0.
+ ts_EMP2 = 0.
+ ts_Time = 0.
+
+ for year=year1,year2 do begin
+
+ date1 = year * 10000L + 101
+ date2 = year * 10000L + 1231
+ filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
+ filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)
+
+ if filename eq '' then stop 
+ EMP = read_ncdf('wfo',date1 ,date2 , filename = filename, /nostruct)
+ EMP2 = read_ncdf('wfo',date1 ,date2 , filename = filename2, /nostruct)
+
+ ts_EMP = [ ts_EMP, moyenne(EMP, 'xy')]
+ ts_EMP2 = [ ts_EMP2, moyenne(EMP2, 'xy')]
+ ts_Time = [ ts_Time, Time] ; Time = date
+
+ endfor
+
+  surf_oce =  e1t * e2t  * tmask[*,*,0]
+  surf_oce = total(surf_oce)
+
+  ts_EMP = ts_EMP[1:*] ; remove first record of 0
+  ts_EMP = ts_EMP * 1.E-09 * surf_oce ; to have Sv
+
+  ts_EMP2 = ts_EMP2[1:*]                ; remove first record of 0
+  ts_EMP2 = ts_EMP2 * 1.E-09 * surf_oce ; to have Sv
+
+  varunit= 'Sv'
+  vol_oce = moyenne( replicate(1., jpi, jpj, jpk), /integration, 'xyz')
+
+  Time = ts_Time[1:*] ; remove first record of 0
+  jpt = n_elements(Time)
+
+  title = sEXP1+' Global Annual EMP Budget (Sv) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_EMP,'t', -.01, 0.00, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
+       , small = [1,2,1], YTITLE = 'Sv', TITLE = title, /PORTRAIT, _extra = ex
+
+  if sEXP2 ne sEXP1 then begin
+     
+     title = sEXP1+' - '+sEXP2+' Global Annual EMP Budget (Sv) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+     pltt,ts_EMP - ts_EMP2,'t', -.002, .002, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI, /NOERASE $
+          , COLOR = 250, small = [1,2,2], YTITLE = 'Sv', TITLE = title, /PORTRAIT, _extra = ex
+  endif
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+
+  return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_ICE.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_ICE.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_ICE.pro	(revision 2200)
@@ -0,0 +1,100 @@
+pro ts_mean_ICE, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+  @initorca2
+  
+  std_iodir_climato = '/Users/sflod/idl_PLOTS/CLIMATOLOGIES/'
+  std_iodir_interan = '/Users/sflod/idl_PLOTS/INTERAN/'
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, sEXP1+'_ice_area_mean.ps', portrait = 1
+  endif
+  
+  
+
+;NORTHERN Hemisphere
+  ts_ICE_N = 0.
+  ts_ICE_N_2 = 0.
+
+;SOUTHERN Hemisphere
+  ts_ICE_S = 0.
+  ts_ICE_S_2 = 0.
+
+  ts_Time = 0.
+  
+  for year=year1,year2 do begin
+     date1 = year * 10000L + 101
+     date2 = year * 10000L + 1231
+     filename = getname(s_iodir_data,sEXP1,'1M','icemod',date1)
+     filename2 = getname(s_iodir_data,sEXP2,'1M','icemod',date1)
+
+     if filename eq '' then stop
+     
+     domdef, 0, jpi-1, 30, 90, /xindex
+
+; computation of annual mean
+     ICE_N = read_ncdf('sic',date1 ,date2 , filename = filename, /nostruct, dir = 't')
+     ICE_N_2 = read_ncdf('sic',date1 ,date2 , filename = filename2, /nostruct, dir = 't')
+     
+     ts_ICE_N   = [ ts_ICE_N, moyenne(ICE_N, 'xy', /integration) ]
+     ts_ICE_N_2 = [ ts_ICE_N_2, moyenne(ICE_N_2, 'xy', /integration) ]
+    
+     domdef, 0, jpi-1, -30, -90, /xindex
+     
+     ICE_S = read_ncdf('sic',date1 ,date2 , filename = filename, /nostruct, dir = 't')
+     ICE_S_2 = read_ncdf('sic',date1 ,date2 , filename = filename2, /nostruct, dir = 't')
+     
+     ts_ICE_S   = [ ts_ICE_S, moyenne(ICE_S, 'xy', /integration) ]
+     ts_ICE_S_2 = [ ts_ICE_S_2, moyenne(ICE_s_2, 'xy', /integration) ]
+ 
+    ts_Time  = [ ts_Time, Time] ; Time = date
+ 
+  endfor
+
+;  surf_oce =  e1t[firstxt:lastxt,firstyt:lastyt] * e2t[firstxt:lastxt,firstyt:lastyt]  * tmask[firstxt:lastxt,firstyt:lastyt,0]
+;  surf_oce = total(surf_oce)
+
+  ts_ICE_N   = ts_ICE_N[1:*]        ; remove first record of 0 
+  ts_ICE_N_2 = ts_ICE_N_2[1:*]      ; remove first record of 0
+  ts_ICE_N   = ts_ICE_N * 1.E-12    ; remove first record of 0
+  ts_ICE_N_2 = ts_ICE_N_2 * 1.E-12  ; remove first record of 0
+  
+  ts_ICE_S   = ts_ICE_S[1:*]        ; remove first record of 0 
+  ts_ICE_S_2 = ts_ICE_S_2[1:*]      ; remove first record of 0
+  ts_ICE_S   = ts_ICE_S * 1.E-12    ; remove first record of 0
+  ts_ICE_S_2 = ts_ICE_S_2 * 1.E-12  ; remove first record of 0
+  
+  Time = ts_Time[1:*]           ; remove first record of 0
+  jpt = n_elements(Time)
+  
+  title = sEXP1+' Global Annual Mean Ice Area (North. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt, ts_ICE_N, 't', 0., 15., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
+       , small = [1,2,1], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+  
+  title = sEXP1+' Global Annual Mean Ice Area (South. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt, ts_ICE_S, 't', 0., 15., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI, /NOERASE $
+        , small = [1,2,2], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+  
+  if sEXP2 ne sEXP1 then begin
+     title = sEXP1+'  - '+sEXP2+' Global Annual Mean Ice Area (North. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+     pltt, ts_ICE_N - ts_ICE_N_2 , 't', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
+           , COLOR = 250, small = [1,2,1], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+     
+     title = sEXP1+' - '+sEXP2+' Global Annual Mean Ice Area (South. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+     pltt, ts_ICE_S - ts_ICE_S_2, 't', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI, /NOERASE $
+           , COLOR = 250, small = [1,2,2], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+
+  endif
+
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+  
+  
+  return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_Q.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_Q.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_Q.pro	(revision 2200)
@@ -0,0 +1,59 @@
+pro ts_mean_Q, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+ @initorca2
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, sEXP1+'_Heat_mean.ps', portrait = 1
+ endif
+ 
+ ts_Heat = 0.
+ ts_Heat2 = 0.
+ ts_Time = 0.
+
+ for year=year1,year2 do begin
+    
+    date1 = year * 10000L + 101
+    date2 = year * 10000L + 1231
+    filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
+    filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)
+
+    if filename eq '' then stop 
+    Heat = read_ncdf('qns+qsr',date1 ,date2 , filename = filename, /nostruct)
+    Heat2 = read_ncdf('qns+qsr',date1 ,date2 , filename = filename2, /nostruct)
+
+    ts_Heat = [ ts_Heat, moyenne(Heat, 'xy')]
+    ts_Heat2 = [ ts_Heat2, moyenne(Heat2, 'xy')]
+    ts_Time = [ ts_Time, Time]  ; Time = date
+
+ endfor
+ 
+ ts_Heat = ts_Heat[1:*]         ; remove first record of 0
+ ts_Heat2 = ts_Heat2[1:*]         ; remove first record of 0
+ Time = ts_Time[1:*]            ; remove first record of 0
+ 
+ jpt = n_elements(Time)
+ 
+ title = sEXP1+' Global Annual Mean Surface Heat Flux --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+ pltt,ts_Heat,'t', -4., 4., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+      , small = [1,2,1], YTITLE = 'W/m2',  TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+
+ if sEXP2 ne sEXP1 then begin
+
+    title = sEXP1+' - '+sEXP2+' Global Annual Mean Surface Heat Flux --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+    pltt,ts_Heat - ts_Heat2,'t', -4., 4., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
+         ,  COLOR = 250, small = [1,2,2], YTITLE = 'W/m2', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+    
+ endif
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+ 
+ 
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_S.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_S.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_S.pro	(revision 2200)
@@ -0,0 +1,103 @@
+pro ts_mean_S, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+  @initorca2
+  
+  std_iodir_climato = '/Users/sflod/idl_PLOTS/CLIMATOLOGIES/'
+  std_iodir_interan = '/Users/sflod/idl_PLOTS/INTERAN/'
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, sEXP1+'_Salinity_mean.ps', portrait = 1
+  endif
+  
+  filename = std_iodir_climato+'data_1y_salinity_nomask.nc'
+  Lev = read_ncdf('vosaline', filename = filename, /nostruct )
+  Lev_xyz = moyenne(Lev, 'xyz')
+  Lev_z = moyenne(Lev, 'xy',/KEEPBOTTOM)
+
+  ts_Sal = 0.
+  ts_Sal_2 = 0.
+  ts_Sal_Lev = 0.
+  ts_Sal_Lev_2 = 0.
+  ts_Time = 0.
+  ts_z = fltarr(jpk)
+  ts_z_2 = fltarr(jpk)
+
+  for year=year1,year2 do begin
+     
+     date1 = year * 10000L + 101
+     date2 = year * 10000L + 1231
+     filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
+     filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)
+
+     if filename eq '' then stop 
+     Sal   = read_ncdf('so',date1 ,date2 , filename = filename, /nostruct)
+     Sal_2 = read_ncdf('so',date1 ,date2 , filename = filename2, /nostruct)
+     SSH   =  read_ncdf('zos',date1 ,date2 , filename = filename, /nostruct)
+     SSH_2 =  read_ncdf('zos',date1 ,date2 , filename = filename2, /nostruct)
+
+     ts_Sal = [ ts_Sal, moyenne(Sal, 'xyz', ssh = SSH) ]
+     ts_Sal_2 = [ ts_Sal_2, moyenne(Sal_2, 'xyz', ssh = SSH_2) ]
+     ts_Sal_Lev = [ ts_Sal_Lev, moyenne(Sal, 'xyz', ssh = SSH) - Lev_xyz ]
+     ts_Sal_Lev_2 = [ ts_Sal_Lev_2, moyenne(Sal_2, 'xyz', ssh = SSH_2) - Lev_xyz ]
+     ts_Time = [ ts_Time, Time] ; Time = date
+
+     ts_z = [ [ts_z], [moyenne(Sal, 'xy',/KEEPBOTTOM, ssh = SSH)- Lev_z] ]
+     ts_z_2 = [ [ts_z_2], [moyenne(Sal_2, 'xy',/KEEPBOTTOM, ssh = SSH_2)- Lev_z] ]
+
+  endfor
+  
+  ts_Sal = ts_Sal[1:*]             ; remove first record of 0
+  ts_Sal_2 = ts_Sal_2[1:*]         ; remove first record of 0
+  ts_Sal_Lev = ts_Sal_Lev[1:*]     ; remove first record of 0
+  ts_Sal_Lev_2 = ts_Sal_Lev_2[1:*] ; remove first record of 0
+  
+  ts_z = ts_z[*,1:*]            ; remove first record of 0
+  ts_z_2 = ts_z_2[*,1:*]            ; remove first record of 0
+  
+  Time = ts_Time[1:*]           ; remove first record of 0
+  jpt = n_elements(Time)
+
+
+  title = sEXP1+' Global Annual Mean Salinity --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt, ts_Sal, 't', 34.54, 34.76, INTER = .2, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
+       , small = [1,2,1], YTITLE='psu', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+
+  title = sEXP1+' Global Annual Mean Salinity - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt, ts_Sal_Lev, 't', -.05, .05, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
+       , small = [1,2,2], YTITLE='psu',  TITLE = title, FORMAT = '(I3)', /NOERASE, _extra = ex
+
+;;;;;;;;;;;;;;;;; new page ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+ERASE
+ 
+  title = sEXP1+' ZT-plot Salinity Mean (0-1500m) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_z ,'zt', -.5, .5, INTER = .025, year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $ 
+       , small = [1,2,1], YTITLE='psu', STYLE = 'so0so',  TITLE = title, boxzoom = 1500., /PORTRAIT, _extra = ex
+
+  title = sEXP1+' ZT-plot Salinity Mean (0-6000) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_z,'zt', -.5, .5, INTER = .025, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $ 
+       , small = [1,2,2], YTITLE='psu', STYLE = 'so0so',  TITLE = title, boxzoom = 6000., zoom = 1500.,  /NOERASE, _extra = ex
+  
+
+if sEXP2 ne sEXP1 then begin
+
+ERASE
+
+   title = sEXP1+' - '+sEXP2+' Global Annual Mean Salinity --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+   pltt, ts_Sal - ts_Sal_2, 't', -1., 1., INTER = .2, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
+         , COLOR = 250, small = [1,2,1], YTITLE='psu', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+   
+endif
+
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+  
+  
+  return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_SSH.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_SSH.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/ts_mean_SSH.pro	(revision 2200)
@@ -0,0 +1,60 @@
+pro ts_mean_SSH, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+  @common
+  
+  @initorca2
+  
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, sEXP1+'_SSH_mean.ps', portrait = 1
+  endif
+  
+  ts_SSH = 0.
+  ts_SSH2 = 0.
+  ts_Time = 0.
+  
+ 
+  for year=year1,year2 do begin
+     
+     date1 = year * 10000L + 101
+     date2 = year * 10000L + 1231
+     filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
+     filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)
+     
+     SSH = read_ncdf('zos',date1 ,date2 , filename = filename, /nostruct)
+     SSH2 = read_ncdf('zos',date1 ,date2 , filename = filename2, /nostruct)
+
+     ts_SSH = [ ts_SSH, moyenne(SSH, 'xy')]
+     ts_SSH2 = [ ts_SSH2, moyenne(SSH2, 'xy')]
+     ts_Time = [ ts_Time, Time] ; Time = date
+     
+  endfor
+  
+  ts_SSH = ts_SSH[1:*]          ; remove first record of 0
+  ts_SSH2 = ts_SSH2[1:*]          ; remove first record of 0
+  Time = ts_Time[1:*]           ; remove first record of 0
+  
+  jpt = n_elements(Time)
+  
+  title = sEXP1+' Global Annual Mean SSH --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+  pltt,ts_SSH,'t', -.001, .001, year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
+       , small = [1,2,1], YTITLE = 'm', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+  
+  if sEXP2 ne sEXP1 then begin
+     
+     title = sEXP1+' - '+sEXP2+' Global Annual Mean SSH --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
+     pltt, ts_SSH - ts_SSH2,'t', -.0001, .0001, year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
+           , COLOR = 250, small = [1,2,2], YTITLE = 'm', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+     
+  endif
+  
+
+ 
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+
+  return
+end
